Bug 214585 - Print button in the print panel stays disabled
Print button in the print panel stays disabled
Product: Fedora
Classification: Fedora
Component: gtk+ (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Matthias Clasen
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2006-11-08 10:02 EST by Frédéric
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-11-09 06:04:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Frédéric 2006-11-08 10:02:37 EST
Description of problem:
When I connect my printer and open an application with a gnome print panel, the
print button stays disabled.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Connect my printer.
2.Open an application with the gnome print panel (Evince, OpenOffice, ...)
3.Select to print on the printer that I've just connected
Actual results:
The "Print" button (not sure of the english name) stays disabled.

Expected results:
The "Print" button is enabled and I can press on it to print my document.

Additional info:

The printer (Samsung Ml-1210) works perfectly and I have all the rights on it.
For the moment I use the "lp" command to print.
Comment 1 John (J5) Palmieri 2006-11-08 11:27:24 EST
Print is disabled if we can't get a PPD from cups for that printer.  Evince and
OpenOffice use the gtk+ print dialog.  Please set LogLevel to warn in
/etc/cups/cupsd.conf, restart cups, attach your printer and try to print.  After
you do that please attach the relevent logs from /var/log/cups/error_log.  Make
sure to set LogLevel to info when you are done so that your disk does not fill
up.  Cups can be verry chatty.
Comment 2 Frédéric 2006-11-09 05:45:20 EST
There you have the relevent logs from /var/log/cups/error_log. I hope this can help.

I [09/Nov/2006:11:36:00 +0100] Full reload complete.
E [09/Nov/2006:11:36:00 +0100] Unable to open listen socket for address ::1:631
- Address family not supported by protocol.
Comment 3 Frédéric 2006-11-09 06:04:28 EST
Ok, it's not a bug. I've disabled ipv6 (internet was too slow with it) and there
was no line for ipv4 in /etc/hosts. It's working now. Thanks for you help! 

Note You need to log in before you can comment on or make changes to this bug.